OrcProto.Footer.Builder (ORC Core 1.2.1 API)
Date: 2016-10-19

org.apache.orc

## Class OrcProto.Footer.Builder

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite.Builder<BuilderType>
  - - com.google.protobuf.AbstractMessage.Builder<BuilderType>
    - - com.google.protobuf.GeneratedMessage.Builder<OrcProto.Footer.Builder>
      - - org.apache.orc.OrcProto.Footer.Builder

- All Implemented Interfaces:
    com.google.protobuf.Message.Builder, com.google.protobuf.MessageLite.Builder, com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder, Cloneable, OrcProto.FooterOrBuilder
  Enclosing class:
    OrcProto.Footer

      public static final class OrcProto.Footer.Builder
      extends com.google.protobuf.GeneratedMessage.Builder<OrcProto.Footer.Builder>
      implements OrcProto.FooterOrBuilder

  Protobuf type `orc.proto.Footer`

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `OrcProto.Footer.Builder` | `addAllMetadata(Iterable<? extends OrcProto.UserMetadataItem> values)` `repeated .orc.proto.UserMetadataItem metadata = 5;`
    `OrcProto.Footer.Builder` | `addAllStatistics(Iterable<? extends OrcProto.ColumnStatistics> values)` `repeated .orc.proto.ColumnStatistics statistics = 7;`
    `OrcProto.Footer.Builder` | `addAllStripes(Iterable<? extends OrcProto.StripeInformation> values)` `repeated .orc.proto.StripeInformation stripes = 3;`
    `OrcProto.Footer.Builder` | `addAllTypes(Iterable<? extends OrcProto.Type> values)` `repeated .orc.proto.Type types = 4;`
    `OrcProto.Footer.Builder` | `addMetadata(int index, OrcProto.UserMetadataItem.Builder builderForValue)` `repeated .orc.proto.UserMetadataItem metadata = 5;`
    `OrcProto.Footer.Builder` | `addMetadata(int index, OrcProto.UserMetadataItem value)` `repeated .orc.proto.UserMetadataItem metadata = 5;`
    `OrcProto.Footer.Builder` | `addMetadata(OrcProto.UserMetadataItem.Builder builderForValue)` `repeated .orc.proto.UserMetadataItem metadata = 5;`
    `OrcProto.Footer.Builder` | `addMetadata(OrcProto.UserMetadataItem value)` `repeated .orc.proto.UserMetadataItem metadata = 5;`
    `OrcProto.UserMetadataItem.Builder` | `addMetadataBuilder()` `repeated .orc.proto.UserMetadataItem metadata = 5;`
    `OrcProto.UserMetadataItem.Builder` | `addMetadataBuilder(int index)` `repeated .orc.proto.UserMetadataItem metadata = 5;`
    `OrcProto.Footer.Builder` | `addStatistics(int index, OrcProto.ColumnStatistics.Builder builderForValue)` `repeated .orc.proto.ColumnStatistics statistics = 7;`
    `OrcProto.Footer.Builder` | `addStatistics(int index, OrcProto.ColumnStatistics value)` `repeated .orc.proto.ColumnStatistics statistics = 7;`
    `OrcProto.Footer.Builder` | `addStatistics(OrcProto.ColumnStatistics.Builder builderForValue)` `repeated .orc.proto.ColumnStatistics statistics = 7;`
    `OrcProto.Footer.Builder` | `addStatistics(OrcProto.ColumnStatistics value)` `repeated .orc.proto.ColumnStatistics statistics = 7;`
    `OrcProto.ColumnStatistics.Builder` | `addStatisticsBuilder()` `repeated .orc.proto.ColumnStatistics statistics = 7;`
    `OrcProto.ColumnStatistics.Builder` | `addStatisticsBuilder(int index)` `repeated .orc.proto.ColumnStatistics statistics = 7;`
    `OrcProto.Footer.Builder` | `addStripes(int index, OrcProto.StripeInformation.Builder builderForValue)` `repeated .orc.proto.StripeInformation stripes = 3;`
    `OrcProto.Footer.Builder` | `addStripes(int index, OrcProto.StripeInformation value)` `repeated .orc.proto.StripeInformation stripes = 3;`
    `OrcProto.Footer.Builder` | `addStripes(OrcProto.StripeInformation.Builder builderForValue)` `repeated .orc.proto.StripeInformation stripes = 3;`
    `OrcProto.Footer.Builder` | `addStripes(OrcProto.StripeInformation value)` `repeated .orc.proto.StripeInformation stripes = 3;`
    `OrcProto.StripeInformation.Builder` | `addStripesBuilder()` `repeated .orc.proto.StripeInformation stripes = 3;`
    `OrcProto.StripeInformation.Builder` | `addStripesBuilder(int index)` `repeated .orc.proto.StripeInformation stripes = 3;`
    `OrcProto.Footer.Builder` | `addTypes(int index, OrcProto.Type.Builder builderForValue)` `repeated .orc.proto.Type types = 4;`
    `OrcProto.Footer.Builder` | `addTypes(int index, OrcProto.Type value)` `repeated .orc.proto.Type types = 4;`
    `OrcProto.Footer.Builder` | `addTypes(OrcProto.Type.Builder builderForValue)` `repeated .orc.proto.Type types = 4;`
    `OrcProto.Footer.Builder` | `addTypes(OrcProto.Type value)` `repeated .orc.proto.Type types = 4;`
    `OrcProto.Type.Builder` | `addTypesBuilder()` `repeated .orc.proto.Type types = 4;`
    `OrcProto.Type.Builder` | `addTypesBuilder(int index)` `repeated .orc.proto.Type types = 4;`
    `OrcProto.Footer` | `build()`
    `OrcProto.Footer` | `buildPartial()`
    `OrcProto.Footer.Builder` | `clear()`
    `OrcProto.Footer.Builder` | `clearContentLength()` `optional uint64 contentLength = 2;`
    `OrcProto.Footer.Builder` | `clearHeaderLength()` `optional uint64 headerLength = 1;`
    `OrcProto.Footer.Builder` | `clearMetadata()` `repeated .orc.proto.UserMetadataItem metadata = 5;`
    `OrcProto.Footer.Builder` | `clearNumberOfRows()` `optional uint64 numberOfRows = 6;`
    `OrcProto.Footer.Builder` | `clearRowIndexStride()` `optional uint32 rowIndexStride = 8;`
    `OrcProto.Footer.Builder` | `clearStatistics()` `repeated .orc.proto.ColumnStatistics statistics = 7;`
    `OrcProto.Footer.Builder` | `clearStripes()` `repeated .orc.proto.StripeInformation stripes = 3;`
    `OrcProto.Footer.Builder` | `clearTypes()` `repeated .orc.proto.Type types = 4;`
    `OrcProto.Footer.Builder` | `clone()`
    `long` | `getContentLength()` `optional uint64 contentLength = 2;`
    `OrcProto.Footer` | `getDefaultInstanceForType()`
    `static com.google.protobuf.Descriptors.Descriptor` | `getDescriptor()`
    `com.google.protobuf.Descriptors.Descriptor` | `getDescriptorForType()`
    `long` | `getHeaderLength()` `optional uint64 headerLength = 1;`
    `OrcProto.UserMetadataItem` | `getMetadata(int index)` `repeated .orc.proto.UserMetadataItem metadata = 5;`
    `OrcProto.UserMetadataItem.Builder` | `getMetadataBuilder(int index)` `repeated .orc.proto.UserMetadataItem metadata = 5;`
    `List<OrcProto.UserMetadataItem.Builder>` | `getMetadataBuilderList()` `repeated .orc.proto.UserMetadataItem metadata = 5;`
    `int` | `getMetadataCount()` `repeated .orc.proto.UserMetadataItem metadata = 5;`
    `List<OrcProto.UserMetadataItem>` | `getMetadataList()` `repeated .orc.proto.UserMetadataItem metadata = 5;`
    `OrcProto.UserMetadataItemOrBuilder` | `getMetadataOrBuilder(int index)` `repeated .orc.proto.UserMetadataItem metadata = 5;`
    `List<? extends OrcProto.UserMetadataItemOrBuilder>` | `getMetadataOrBuilderList()` `repeated .orc.proto.UserMetadataItem metadata = 5;`
    `long` | `getNumberOfRows()` `optional uint64 numberOfRows = 6;`
    `int` | `getRowIndexStride()` `optional uint32 rowIndexStride = 8;`
    `OrcProto.ColumnStatistics` | `getStatistics(int index)` `repeated .orc.proto.ColumnStatistics statistics = 7;`
    `OrcProto.ColumnStatistics.Builder` | `getStatisticsBuilder(int index)` `repeated .orc.proto.ColumnStatistics statistics = 7;`
    `List<OrcProto.ColumnStatistics.Builder>` | `getStatisticsBuilderList()` `repeated .orc.proto.ColumnStatistics statistics = 7;`
    `int` | `getStatisticsCount()` `repeated .orc.proto.ColumnStatistics statistics = 7;`
    `List<OrcProto.ColumnStatistics>` | `getStatisticsList()` `repeated .orc.proto.ColumnStatistics statistics = 7;`
    `OrcProto.ColumnStatisticsOrBuilder` | `getStatisticsOrBuilder(int index)` `repeated .orc.proto.ColumnStatistics statistics = 7;`
    `List<? extends OrcProto.ColumnStatisticsOrBuilder>` | `getStatisticsOrBuilderList()` `repeated .orc.proto.ColumnStatistics statistics = 7;`
    `OrcProto.StripeInformation` | `getStripes(int index)` `repeated .orc.proto.StripeInformation stripes = 3;`
    `OrcProto.StripeInformation.Builder` | `getStripesBuilder(int index)` `repeated .orc.proto.StripeInformation stripes = 3;`
    `List<OrcProto.StripeInformation.Builder>` | `getStripesBuilderList()` `repeated .orc.proto.StripeInformation stripes = 3;`
    `int` | `getStripesCount()` `repeated .orc.proto.StripeInformation stripes = 3;`
    `List<OrcProto.StripeInformation>` | `getStripesList()` `repeated .orc.proto.StripeInformation stripes = 3;`
    `OrcProto.StripeInformationOrBuilder` | `getStripesOrBuilder(int index)` `repeated .orc.proto.StripeInformation stripes = 3;`
    `List<? extends OrcProto.StripeInformationOrBuilder>` | `getStripesOrBuilderList()` `repeated .orc.proto.StripeInformation stripes = 3;`
    `OrcProto.Type` | `getTypes(int index)` `repeated .orc.proto.Type types = 4;`
    `OrcProto.Type.Builder` | `getTypesBuilder(int index)` `repeated .orc.proto.Type types = 4;`
    `List<OrcProto.Type.Builder>` | `getTypesBuilderList()` `repeated .orc.proto.Type types = 4;`
    `int` | `getTypesCount()` `repeated .orc.proto.Type types = 4;`
    `List<OrcProto.Type>` | `getTypesList()` `repeated .orc.proto.Type types = 4;`
    `OrcProto.TypeOrBuilder` | `getTypesOrBuilder(int index)` `repeated .orc.proto.Type types = 4;`
    `List<? extends OrcProto.TypeOrBuilder>` | `getTypesOrBuilderList()` `repeated .orc.proto.Type types = 4;`
    `boolean` | `hasContentLength()` `optional uint64 contentLength = 2;`
    `boolean` | `hasHeaderLength()` `optional uint64 headerLength = 1;`
    `boolean` | `hasNumberOfRows()` `optional uint64 numberOfRows = 6;`
    `boolean` | `hasRowIndexStride()` `optional uint32 rowIndexStride = 8;`
    `protected com.google.protobuf.GeneratedMessage.FieldAccessorTable` | `internalGetFieldAccessorTable()`
    `boolean` | `isInitialized()`
    `OrcProto.Footer.Builder` | `mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
    `OrcProto.Footer.Builder` | `mergeFrom(com.google.protobuf.Message other)`
    `OrcProto.Footer.Builder` | `mergeFrom(OrcProto.Footer other)`
    `OrcProto.Footer.Builder` | `removeMetadata(int index)` `repeated .orc.proto.UserMetadataItem metadata = 5;`
    `OrcProto.Footer.Builder` | `removeStatistics(int index)` `repeated .orc.proto.ColumnStatistics statistics = 7;`
    `OrcProto.Footer.Builder` | `removeStripes(int index)` `repeated .orc.proto.StripeInformation stripes = 3;`
    `OrcProto.Footer.Builder` | `removeTypes(int index)` `repeated .orc.proto.Type types = 4;`
    `OrcProto.Footer.Builder` | `setContentLength(long value)` `optional uint64 contentLength = 2;`
    `OrcProto.Footer.Builder` | `setHeaderLength(long value)` `optional uint64 headerLength = 1;`
    `OrcProto.Footer.Builder` | `setMetadata(int index, OrcProto.UserMetadataItem.Builder builderForValue)` `repeated .orc.proto.UserMetadataItem metadata = 5;`
    `OrcProto.Footer.Builder` | `setMetadata(int index, OrcProto.UserMetadataItem value)` `repeated .orc.proto.UserMetadataItem metadata = 5;`
    `OrcProto.Footer.Builder` | `setNumberOfRows(long value)` `optional uint64 numberOfRows = 6;`
    `OrcProto.Footer.Builder` | `setRowIndexStride(int value)` `optional uint32 rowIndexStride = 8;`
    `OrcProto.Footer.Builder` | `setStatistics(int index, OrcProto.ColumnStatistics.Builder builderForValue)` `repeated .orc.proto.ColumnStatistics statistics = 7;`
    `OrcProto.Footer.Builder` | `setStatistics(int index, OrcProto.ColumnStatistics value)` `repeated .orc.proto.ColumnStatistics statistics = 7;`
    `OrcProto.Footer.Builder` | `setStripes(int index, OrcProto.StripeInformation.Builder builderForValue)` `repeated .orc.proto.StripeInformation stripes = 3;`
    `OrcProto.Footer.Builder` | `setStripes(int index, OrcProto.StripeInformation value)` `repeated .orc.proto.StripeInformation stripes = 3;`
    `OrcProto.Footer.Builder` | `setTypes(int index, OrcProto.Type.Builder builderForValue)` `repeated .orc.proto.Type types = 4;`
    `OrcProto.Footer.Builder` | `setTypes(int index, OrcProto.Type value)` `repeated .orc.proto.Type types = 4;`

    - ### Methods inherited from class com.google.protobuf.GeneratedMessage.Builder

      `addRepeatedField, clearField, getAllFields, getField, getFieldBuilder, getParentForChildren, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, isClean, markClean, mergeUnknownFields, newBuilderForField, onBuilt, onChanged, parseUnknownField, setField, setRepeatedField, setUnknownFields`

    - ### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

      `findInitializationErrors, getInitializationErrorString, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException`

    - ### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

      `addAll, newUninitializedMessageException`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getField, getInitializationErrorString, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField`

- - ### Method Detail

    - #### getDescriptor

          public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

    - #### internalGetFieldAccessorTable

          protected com.google.protobuf.GeneratedMessage.FieldAccessorTable internalGetFieldAccessorTable()

      Specified by:
        `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessage.Builder<OrcProto.Footer.Builder>`

    - #### clear

          public OrcProto.Footer.Builder clear()

      Specified by:
        `clear` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `clear` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `clear` in class `com.google.protobuf.GeneratedMessage.Builder<OrcProto.Footer.Builder>`

    - #### clone

          public OrcProto.Footer.Builder clone()

      Specified by:
        `clone` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `clone` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `clone` in class `com.google.protobuf.GeneratedMessage.Builder<OrcProto.Footer.Builder>`

    - #### getDescriptorForType

          public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

      Specified by:
        `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
      Overrides:
        `getDescriptorForType` in class `com.google.protobuf.GeneratedMessage.Builder<OrcProto.Footer.Builder>`

    - #### getDefaultInstanceForType

          public OrcProto.Footer getDefaultInstanceForType()

      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

    - #### build

          public OrcProto.Footer build()

      Specified by:
        `build` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `build` in interface `com.google.protobuf.MessageLite.Builder`

    - #### buildPartial

          public OrcProto.Footer buildPartial()

      Specified by:
        `buildPartial` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

    - #### mergeFrom

          public OrcProto.Footer.Builder mergeFrom(com.google.protobuf.Message other)

      Specified by:
        `mergeFrom` in interface `com.google.protobuf.Message.Builder`
      Overrides:
        `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<OrcProto.Footer.Builder>`

    - #### mergeFrom

          public OrcProto.Footer.Builder mergeFrom(OrcProto.Footer other)

    - #### isInitialized

          public final boolean isInitialized()

      Specified by:
        `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Overrides:
        `isInitialized` in class `com.google.protobuf.GeneratedMessage.Builder<OrcProto.Footer.Builder>`

    - #### mergeFrom

          public OrcProto.Footer.Builder mergeFrom(com.google.protobuf.CodedInputStream input,
                                                   com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                            throws IOException

      Specified by:
        `mergeFrom` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<OrcProto.Footer.Builder>`
      Throws:
        `IOException`

    - #### hasHeaderLength

          public boolean hasHeaderLength()

      `optional uint64 headerLength = 1;`
      Specified by:
        `hasHeaderLength` in interface `OrcProto.FooterOrBuilder`

    - #### getHeaderLength

          public long getHeaderLength()

      `optional uint64 headerLength = 1;`
      Specified by:
        `getHeaderLength` in interface `OrcProto.FooterOrBuilder`

    - #### setHeaderLength

          public OrcProto.Footer.Builder setHeaderLength(long value)

      `optional uint64 headerLength = 1;`

    - #### clearHeaderLength

          public OrcProto.Footer.Builder clearHeaderLength()

      `optional uint64 headerLength = 1;`

    - #### hasContentLength

          public boolean hasContentLength()

      `optional uint64 contentLength = 2;`
      Specified by:
        `hasContentLength` in interface `OrcProto.FooterOrBuilder`

    - #### getContentLength

          public long getContentLength()

      `optional uint64 contentLength = 2;`
      Specified by:
        `getContentLength` in interface `OrcProto.FooterOrBuilder`

    - #### setContentLength

          public OrcProto.Footer.Builder setContentLength(long value)

      `optional uint64 contentLength = 2;`

    - #### clearContentLength

          public OrcProto.Footer.Builder clearContentLength()

      `optional uint64 contentLength = 2;`

    - #### getStripesList

          public List<OrcProto.StripeInformation> getStripesList()

      `repeated .orc.proto.StripeInformation stripes = 3;`
      Specified by:
        `getStripesList` in interface `OrcProto.FooterOrBuilder`

    - #### getStripesCount

          public int getStripesCount()

      `repeated .orc.proto.StripeInformation stripes = 3;`
      Specified by:
        `getStripesCount` in interface `OrcProto.FooterOrBuilder`

    - #### getStripes

          public OrcProto.StripeInformation getStripes(int index)

      `repeated .orc.proto.StripeInformation stripes = 3;`
      Specified by:
        `getStripes` in interface `OrcProto.FooterOrBuilder`

    - #### setStripes

          public OrcProto.Footer.Builder setStripes(int index,
                                                    OrcProto.StripeInformation value)

      `repeated .orc.proto.StripeInformation stripes = 3;`

    - #### setStripes

          public OrcProto.Footer.Builder setStripes(int index,
                                                    OrcProto.StripeInformation.Builder builderForValue)

      `repeated .orc.proto.StripeInformation stripes = 3;`

    - #### addStripes

          public OrcProto.Footer.Builder addStripes(OrcProto.StripeInformation value)

      `repeated .orc.proto.StripeInformation stripes = 3;`

    - #### addStripes

          public OrcProto.Footer.Builder addStripes(int index,
                                                    OrcProto.StripeInformation value)

      `repeated .orc.proto.StripeInformation stripes = 3;`

    - #### addStripes

          public OrcProto.Footer.Builder addStripes(OrcProto.StripeInformation.Builder builderForValue)

      `repeated .orc.proto.StripeInformation stripes = 3;`

    - #### addStripes

          public OrcProto.Footer.Builder addStripes(int index,
                                                    OrcProto.StripeInformation.Builder builderForValue)

      `repeated .orc.proto.StripeInformation stripes = 3;`

    - #### addAllStripes

          public OrcProto.Footer.Builder addAllStripes(Iterable<? extends OrcProto.StripeInformation> values)

      `repeated .orc.proto.StripeInformation stripes = 3;`

    - #### clearStripes

          public OrcProto.Footer.Builder clearStripes()

      `repeated .orc.proto.StripeInformation stripes = 3;`

    - #### removeStripes

          public OrcProto.Footer.Builder removeStripes(int index)

      `repeated .orc.proto.StripeInformation stripes = 3;`

    - #### getStripesBuilder

          public OrcProto.StripeInformation.Builder getStripesBuilder(int index)

      `repeated .orc.proto.StripeInformation stripes = 3;`

    - #### getStripesOrBuilder

          public OrcProto.StripeInformationOrBuilder getStripesOrBuilder(int index)

      `repeated .orc.proto.StripeInformation stripes = 3;`
      Specified by:
        `getStripesOrBuilder` in interface `OrcProto.FooterOrBuilder`

    - #### getStripesOrBuilderList

          public List<? extends OrcProto.StripeInformationOrBuilder> getStripesOrBuilderList()

      `repeated .orc.proto.StripeInformation stripes = 3;`
      Specified by:
        `getStripesOrBuilderList` in interface `OrcProto.FooterOrBuilder`

    - #### addStripesBuilder

          public OrcProto.StripeInformation.Builder addStripesBuilder()

      `repeated .orc.proto.StripeInformation stripes = 3;`

    - #### addStripesBuilder

          public OrcProto.StripeInformation.Builder addStripesBuilder(int index)

      `repeated .orc.proto.StripeInformation stripes = 3;`

    - #### getStripesBuilderList

          public List<OrcProto.StripeInformation.Builder> getStripesBuilderList()

      `repeated .orc.proto.StripeInformation stripes = 3;`

    - #### getTypesList

          public List<OrcProto.Type> getTypesList()

      `repeated .orc.proto.Type types = 4;`
      Specified by:
        `getTypesList` in interface `OrcProto.FooterOrBuilder`

    - #### getTypesCount

          public int getTypesCount()

      `repeated .orc.proto.Type types = 4;`
      Specified by:
        `getTypesCount` in interface `OrcProto.FooterOrBuilder`

    - #### getTypes

          public OrcProto.Type getTypes(int index)

      `repeated .orc.proto.Type types = 4;`
      Specified by:
        `getTypes` in interface `OrcProto.FooterOrBuilder`

    - #### setTypes

          public OrcProto.Footer.Builder setTypes(int index,
                                                  OrcProto.Type value)

      `repeated .orc.proto.Type types = 4;`

    - #### setTypes

          public OrcProto.Footer.Builder setTypes(int index,
                                                  OrcProto.Type.Builder builderForValue)

      `repeated .orc.proto.Type types = 4;`

    - #### addTypes

          public OrcProto.Footer.Builder addTypes(OrcProto.Type value)

      `repeated .orc.proto.Type types = 4;`

    - #### addTypes

          public OrcProto.Footer.Builder addTypes(int index,
                                                  OrcProto.Type value)

      `repeated .orc.proto.Type types = 4;`

    - #### addTypes

          public OrcProto.Footer.Builder addTypes(OrcProto.Type.Builder builderForValue)

      `repeated .orc.proto.Type types = 4;`

    - #### addTypes

          public OrcProto.Footer.Builder addTypes(int index,
                                                  OrcProto.Type.Builder builderForValue)

      `repeated .orc.proto.Type types = 4;`

    - #### addAllTypes

          public OrcProto.Footer.Builder addAllTypes(Iterable<? extends OrcProto.Type> values)

      `repeated .orc.proto.Type types = 4;`

    - #### clearTypes

          public OrcProto.Footer.Builder clearTypes()

      `repeated .orc.proto.Type types = 4;`

    - #### removeTypes

          public OrcProto.Footer.Builder removeTypes(int index)

      `repeated .orc.proto.Type types = 4;`

    - #### getTypesBuilder

          public OrcProto.Type.Builder getTypesBuilder(int index)

      `repeated .orc.proto.Type types = 4;`

    - #### getTypesOrBuilder

          public OrcProto.TypeOrBuilder getTypesOrBuilder(int index)

      `repeated .orc.proto.Type types = 4;`
      Specified by:
        `getTypesOrBuilder` in interface `OrcProto.FooterOrBuilder`

    - #### getTypesOrBuilderList

          public List<? extends OrcProto.TypeOrBuilder> getTypesOrBuilderList()

      `repeated .orc.proto.Type types = 4;`
      Specified by:
        `getTypesOrBuilderList` in interface `OrcProto.FooterOrBuilder`

    - #### addTypesBuilder

          public OrcProto.Type.Builder addTypesBuilder()

      `repeated .orc.proto.Type types = 4;`

    - #### addTypesBuilder

          public OrcProto.Type.Builder addTypesBuilder(int index)

      `repeated .orc.proto.Type types = 4;`

    - #### getTypesBuilderList

          public List<OrcProto.Type.Builder> getTypesBuilderList()

      `repeated .orc.proto.Type types = 4;`

    - #### getMetadataList

          public List<OrcProto.UserMetadataItem> getMetadataList()

      `repeated .orc.proto.UserMetadataItem metadata = 5;`
      Specified by:
        `getMetadataList` in interface `OrcProto.FooterOrBuilder`

    - #### getMetadataCount

          public int getMetadataCount()

      `repeated .orc.proto.UserMetadataItem metadata = 5;`
      Specified by:
        `getMetadataCount` in interface `OrcProto.FooterOrBuilder`

    - #### getMetadata

          public OrcProto.UserMetadataItem getMetadata(int index)

      `repeated .orc.proto.UserMetadataItem metadata = 5;`
      Specified by:
        `getMetadata` in interface `OrcProto.FooterOrBuilder`

    - #### setMetadata

          public OrcProto.Footer.Builder setMetadata(int index,
                                                     OrcProto.UserMetadataItem value)

      `repeated .orc.proto.UserMetadataItem metadata = 5;`

    - #### setMetadata

          public OrcProto.Footer.Builder setMetadata(int index,
                                                     OrcProto.UserMetadataItem.Builder builderForValue)

      `repeated .orc.proto.UserMetadataItem metadata = 5;`

    - #### addMetadata

          public OrcProto.Footer.Builder addMetadata(OrcProto.UserMetadataItem value)

      `repeated .orc.proto.UserMetadataItem metadata = 5;`

    - #### addMetadata

          public OrcProto.Footer.Builder addMetadata(int index,
                                                     OrcProto.UserMetadataItem value)

      `repeated .orc.proto.UserMetadataItem metadata = 5;`

    - #### addMetadata

          public OrcProto.Footer.Builder addMetadata(OrcProto.UserMetadataItem.Builder builderForValue)

      `repeated .orc.proto.UserMetadataItem metadata = 5;`

    - #### addMetadata

          public OrcProto.Footer.Builder addMetadata(int index,
                                                     OrcProto.UserMetadataItem.Builder builderForValue)

      `repeated .orc.proto.UserMetadataItem metadata = 5;`

    - #### addAllMetadata

          public OrcProto.Footer.Builder addAllMetadata(Iterable<? extends OrcProto.UserMetadataItem> values)

      `repeated .orc.proto.UserMetadataItem metadata = 5;`

    - #### clearMetadata

          public OrcProto.Footer.Builder clearMetadata()

      `repeated .orc.proto.UserMetadataItem metadata = 5;`

    - #### removeMetadata

          public OrcProto.Footer.Builder removeMetadata(int index)

      `repeated .orc.proto.UserMetadataItem metadata = 5;`

    - #### getMetadataBuilder

          public OrcProto.UserMetadataItem.Builder getMetadataBuilder(int index)

      `repeated .orc.proto.UserMetadataItem metadata = 5;`

    - #### getMetadataOrBuilder

          public OrcProto.UserMetadataItemOrBuilder getMetadataOrBuilder(int index)

      `repeated .orc.proto.UserMetadataItem metadata = 5;`
      Specified by:
        `getMetadataOrBuilder` in interface `OrcProto.FooterOrBuilder`

    - #### getMetadataOrBuilderList

          public List<? extends OrcProto.UserMetadataItemOrBuilder> getMetadataOrBuilderList()

      `repeated .orc.proto.UserMetadataItem metadata = 5;`
      Specified by:
        `getMetadataOrBuilderList` in interface `OrcProto.FooterOrBuilder`

    - #### addMetadataBuilder

          public OrcProto.UserMetadataItem.Builder addMetadataBuilder()

      `repeated .orc.proto.UserMetadataItem metadata = 5;`

    - #### addMetadataBuilder

          public OrcProto.UserMetadataItem.Builder addMetadataBuilder(int index)

      `repeated .orc.proto.UserMetadataItem metadata = 5;`

    - #### getMetadataBuilderList

          public List<OrcProto.UserMetadataItem.Builder> getMetadataBuilderList()

      `repeated .orc.proto.UserMetadataItem metadata = 5;`

    - #### hasNumberOfRows

          public boolean hasNumberOfRows()

      `optional uint64 numberOfRows = 6;`
      Specified by:
        `hasNumberOfRows` in interface `OrcProto.FooterOrBuilder`

    - #### getNumberOfRows

          public long getNumberOfRows()

      `optional uint64 numberOfRows = 6;`
      Specified by:
        `getNumberOfRows` in interface `OrcProto.FooterOrBuilder`

    - #### setNumberOfRows

          public OrcProto.Footer.Builder setNumberOfRows(long value)

      `optional uint64 numberOfRows = 6;`

    - #### clearNumberOfRows

          public OrcProto.Footer.Builder clearNumberOfRows()

      `optional uint64 numberOfRows = 6;`

    - #### getStatisticsList

          public List<OrcProto.ColumnStatistics> getStatisticsList()

      `repeated .orc.proto.ColumnStatistics statistics = 7;`
      Specified by:
        `getStatisticsList` in interface `OrcProto.FooterOrBuilder`

    - #### getStatisticsCount

          public int getStatisticsCount()

      `repeated .orc.proto.ColumnStatistics statistics = 7;`
      Specified by:
        `getStatisticsCount` in interface `OrcProto.FooterOrBuilder`

    - #### getStatistics

          public OrcProto.ColumnStatistics getStatistics(int index)

      `repeated .orc.proto.ColumnStatistics statistics = 7;`
      Specified by:
        `getStatistics` in interface `OrcProto.FooterOrBuilder`

    - #### setStatistics

          public OrcProto.Footer.Builder setStatistics(int index,
                                                       OrcProto.ColumnStatistics value)

      `repeated .orc.proto.ColumnStatistics statistics = 7;`

    - #### setStatistics

          public OrcProto.Footer.Builder setStatistics(int index,
                                                       OrcProto.ColumnStatistics.Builder builderForValue)

      `repeated .orc.proto.ColumnStatistics statistics = 7;`

    - #### addStatistics

          public OrcProto.Footer.Builder addStatistics(OrcProto.ColumnStatistics value)

      `repeated .orc.proto.ColumnStatistics statistics = 7;`

    - #### addStatistics

          public OrcProto.Footer.Builder addStatistics(int index,
                                                       OrcProto.ColumnStatistics value)

      `repeated .orc.proto.ColumnStatistics statistics = 7;`

    - #### addStatistics

          public OrcProto.Footer.Builder addStatistics(OrcProto.ColumnStatistics.Builder builderForValue)

      `repeated .orc.proto.ColumnStatistics statistics = 7;`

    - #### addStatistics

          public OrcProto.Footer.Builder addStatistics(int index,
                                                       OrcProto.ColumnStatistics.Builder builderForValue)

      `repeated .orc.proto.ColumnStatistics statistics = 7;`

    - #### addAllStatistics

          public OrcProto.Footer.Builder addAllStatistics(Iterable<? extends OrcProto.ColumnStatistics> values)

      `repeated .orc.proto.ColumnStatistics statistics = 7;`

    - #### clearStatistics

          public OrcProto.Footer.Builder clearStatistics()

      `repeated .orc.proto.ColumnStatistics statistics = 7;`

    - #### removeStatistics

          public OrcProto.Footer.Builder removeStatistics(int index)

      `repeated .orc.proto.ColumnStatistics statistics = 7;`

    - #### getStatisticsBuilder

          public OrcProto.ColumnStatistics.Builder getStatisticsBuilder(int index)

      `repeated .orc.proto.ColumnStatistics statistics = 7;`

    - #### getStatisticsOrBuilder

          public OrcProto.ColumnStatisticsOrBuilder getStatisticsOrBuilder(int index)

      `repeated .orc.proto.ColumnStatistics statistics = 7;`
      Specified by:
        `getStatisticsOrBuilder` in interface `OrcProto.FooterOrBuilder`

    - #### getStatisticsOrBuilderList

          public List<? extends OrcProto.ColumnStatisticsOrBuilder> getStatisticsOrBuilderList()

      `repeated .orc.proto.ColumnStatistics statistics = 7;`
      Specified by:
        `getStatisticsOrBuilderList` in interface `OrcProto.FooterOrBuilder`

    - #### addStatisticsBuilder

          public OrcProto.ColumnStatistics.Builder addStatisticsBuilder()

      `repeated .orc.proto.ColumnStatistics statistics = 7;`

    - #### addStatisticsBuilder

          public OrcProto.ColumnStatistics.Builder addStatisticsBuilder(int index)

      `repeated .orc.proto.ColumnStatistics statistics = 7;`

    - #### getStatisticsBuilderList

          public List<OrcProto.ColumnStatistics.Builder> getStatisticsBuilderList()

      `repeated .orc.proto.ColumnStatistics statistics = 7;`

    - #### hasRowIndexStride

          public boolean hasRowIndexStride()

      `optional uint32 rowIndexStride = 8;`
      Specified by:
        `hasRowIndexStride` in interface `OrcProto.FooterOrBuilder`

    - #### getRowIndexStride

          public int getRowIndexStride()

      `optional uint32 rowIndexStride = 8;`
      Specified by:
        `getRowIndexStride` in interface `OrcProto.FooterOrBuilder`

    - #### setRowIndexStride

          public OrcProto.Footer.Builder setRowIndexStride(int value)

      `optional uint32 rowIndexStride = 8;`

    - #### clearRowIndexStride

          public OrcProto.Footer.Builder clearRowIndexStride()

      `optional uint32 rowIndexStride = 8;`

Copyright © 2013–2016 The Apache Software Foundation. All rights reserved.